org.apache.maven.project.inheritance

## Class DefaultModelInheritanceAssembler

- java.lang.Object
- - org.apache.maven.project.inheritance.DefaultModelInheritanceAssembler

- All Implemented Interfaces:
    ModelInheritanceAssembler

      public class DefaultModelInheritanceAssembler
      extends java.lang.Object
      implements ModelInheritanceAssembler

  Version:
    $Id: DefaultModelInheritanceAssembler.java,v 1.4 2004/08/23 20:24:54 jdcasey Exp $
  Author:
    Jason van Zyl

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.project.inheritance.ModelInheritanceAssembler

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultModelInheritanceAssembler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `appendPath(java.lang.String parentPath, java.lang.String childPath, java.lang.String pathAdjustment, boolean appendPaths)`
    `void` | `assembleBuildInheritance(Build childBuild, Build parentBuild, boolean handleAsInheritance)`
    `void` | `assembleModelInheritance(Model child, Model parent)`
    `void` | `assembleModelInheritance(Model child, Model parent, java.lang.String childPathAdjustment)`
    `void` | `copyModel(Model dest, Model source)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultModelInheritanceAssembler

          public DefaultModelInheritanceAssembler()

  - ### Method Detail

    - #### copyModel

          public void copyModel(Model dest,
                       Model source)

      Specified by:
        `copyModel` in interface `ModelInheritanceAssembler`

    - #### assembleModelInheritance

          public void assembleModelInheritance(Model child,
                                      Model parent,
                                      java.lang.String childPathAdjustment)

      Specified by:
        `assembleModelInheritance` in interface `ModelInheritanceAssembler`

    - #### assembleModelInheritance

          public void assembleModelInheritance(Model child,
                                      Model parent)

      Specified by:
        `assembleModelInheritance` in interface `ModelInheritanceAssembler`

    - #### assembleBuildInheritance

          public void assembleBuildInheritance(Build childBuild,
                                      Build parentBuild,
                                      boolean handleAsInheritance)

      Specified by:
        `assembleBuildInheritance` in interface `ModelInheritanceAssembler`

    - #### appendPath

          protected java.lang.String appendPath(java.lang.String parentPath,
                                    java.lang.String childPath,
                                    java.lang.String pathAdjustment,
                                    boolean appendPaths)